{% extends 'base.njk' %}{% block title %}BCHN maintainers' opinion on the VM-Limits and Bigint upgrades for 2025{% endblock %}{% block description %}{% endblock %}{% block body %}
<section class="bg-dark">
    <div class="container">
        <div class="row pb-3">
            <div class="col my-5 py-5 text-center">
                <h1 class="text-white">BCHN maintainers' opinion on the VM-Limits and Bigint upgrades for 2025</h1>
            </div>
        </div>
    </div>
</section>
<section class="bg-light">
    <div class="container py-6">
        <div class="row justify-content-center">
            <article class="col-md-10 col-lg-8">
                <div class="d-flex align-items-center pb-5">
                    <img src="/static/img/logomark.svg" alt="Logo" class="mr-3 w-auto" height="40">
                    <div>
                        <div>by <strong>Bitcoin Cash Node Team</strong>
                        </div>
                        <div class="text-small text-muted">25 October 2024</div>
                    </div>
                </div>
                <div class="content">
                    <p>

                    </p>
                    <h3 id="bchn-maintainers-opinion-on-the-vm-limits-and-bigint-upgrades-for-2025">BCHN maintainers' opinion on the VM-Limits and Bigint upgrades for 2025</h3>
                    <p>Two Cash Improvement Proposals (CHIPs) are currently frontrunners for lock in on 15th November 2024, and activation on 15th May 2025: <a href="https://github.com/bitjson/bch-vm-limits">CHIP-2021-05 VM Limits: Targeted Virtual Machine Limits</a> and <a href="https://github.com/bitjson/bch-bigint">CHIP-2024-07 BigInt: High-Precision Arithmetic for Bitcoin Cash</a>. Despite CHIP-2024-07-BigInt's late introduction, both of them have matured as of October 2024, and are receiving widespread support from the community.</p>
                    <p>The Bitcoin Cash Node team was intimately involved with implementing and testing both proposals. <i>The maintainers can now confidently say that these CHIPs seem to be in sufficiently good shape, and worthy of our endorsement.</i></p>
                    <p>We have additionally erected a temporary server at <a href="https://index.imaginary.cash">https://index.imaginary.cash</a> with Fulcrum port at 50006, which will serve as a testing ground for post-activation contracts until the proposals' likely activation on Chipnet this November. Anyone interested in preliminary tests is welcome to use this facility as well.</p>
                </div>
            </article>
        </div>
    </div>
</section>
{% endblock %}
